Bug 12725 - REGRESSION: onchange gets fired when clicking on a programmatically selected element in a listbox
Summary: REGRESSION: onchange gets fired when clicking on a programmatically selected ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2007-02-10 07:24 PST by Alexey Proskuryakov
Modified: 2007-03-17 00:57 PDT (History)
1 user (show)

See Also:


Attachments
test case (5.34 KB, text/html)
2007-02-10 07:27 PST, Alexey Proskuryakov
no flags Details
test case (7.28 KB, text/html)
2007-02-11 11:24 PST, Alexey Proskuryakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2007-02-10 07:24:27 PST
Clicking on a listbox element that was selected from JS or via an HTML "selected" attribute now erroneously causes an onchange event to be dispatched.
Comment 1 Alexey Proskuryakov 2007-02-10 07:27:35 PST
Created attachment 13105 [details]
test case

This is an extended fast/forms/listbox-onchange.html test.

It also shows that setting value attribute of a multiple select listbox works incorrectly, not sure whether this is a regression, too.
Comment 2 Maciej Stachowiak 2007-02-10 19:15:15 PST
<rdar://problem/4990050>
Comment 3 Alexey Proskuryakov 2007-02-11 11:24:49 PST
Created attachment 13121 [details]
test case

A bigger test case.
Comment 4 Adele Peterson 2007-03-17 00:57:41 PDT
Committed revision 20259.